.\" $Id: sudop.man,v 1.7 2012/02/29 00:14:01 ksb Exp $
.\" by Kevin Braunsdorf
.\" $Compile: Display%h
.\" $Display: ${groff:-groff} -Tascii -man %f |${PAGER:-less}
.\" $Display(*): ${groff:-groff} -T%s -man %f
.\" $Install: %b -mDeinstall %o %f && cp %f $DESTDIR/usr/local/man/man1/sudop.1
.\" $Deinstall: ${rm-rm} -f $DESTDIR/usr/local/man/[cm]a[nt]1/sudop.1*
.TH SUDOP 1L LOCAL
.SH NAME
sudop \- emulate parts of "sudo" with "op" rules

.SH SYNOPSIS
.ds PN "sudop
.br
\fB\*(PN\fP [\fB\-b\fP] [\fB\-u\fP\~\fIusername\fP|\fIuid\fP] \fIcommand\fP
.br
\fB\*(PN\fP \fB\-l\fP
.br
\fB\*(PN\fP \fB\-h\fP
.br
\fB\*(PN\fP \fB\-V\fP

.SH DESCRIPTION
\fB\*(PN\fP emulates the parts of \fBsudo\fP(8) that most
Customers need, but uses \fBop\fP(1l) to run any escalated commands.

.P
\fB\*(PN\fP tries to process options like \fBsudo\fP where it can,
it ignores the others.
For example, since local policy forbids "plain shell" access to
all but system admins, the \fB\-s\fP option is never honored.

.SH OPTIONS
.\" \fB\-k\fP is not parsed
.\" \fB\-t\fP type is parsed wrong
.\" \fB\-p\fP arg is parsed wrong
.TP
\fB\-h\fP
Show a brief on-line help message.
.TP
\fB\-l\fP
List the escalated rules allowed, much like \fBsudo\fP would.  This
doesn't inlcude all \fBop\fP rules otherwise allowed
.TP
\fB\-u\fP \fIusername\fP|\fIuid\fP
Pass the \fIuser\fP specification down to \fBop\fP for the given rule,
which can be a numeric \fIuid\fP, prefixed with an octothorp (\fB#\fP), or
a login name as \fIusername\fP.
.TP
\fB\-V\fP
Show the versions of \fB\*(PN\fP and \fBop\fP installed.

.SH BUGS
Many.  Mostly it doesn't really try to be \fBsudo\fP very hard.
Just enough to fake it for the common cases.

.SH AUTHOR
Alex Docauer, NPCGuild.org

.SH "SEE ALSO"
.hlm 0
sudo(1), op(1l)
